## systemsettings 5.26.0

=== debian/changelog ===
systemsettings (4:5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:26 +0200

systemsettings (4:5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:27 +0200

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.98.0~),
               gettext,
               kirigami2-dev (>= 5.98.0~),
               libkf5activities-dev (>= 5.98.0~),
               libkf5activitiesstats-dev (>= 5.98.0~),
               libkf5auth-dev (>= 5.98.0~),
               libkf5config-dev (>= 5.98.0~),
               libkf5crash-dev (>= 5.98.0~),
               libkf5dbusaddons-dev (>= 5.98.0~),
               libkf5doctools-dev (>= 5.98.0~),
               libkf5guiaddons-dev (>= 5.98.0~),
               libkf5i18n-dev (>= 5.98.0~),
               libkf5iconthemes-dev (>= 5.98.0~),
               libkf5itemmodels-dev (>= 5.98.0~),
               libkf5itemviews-dev (>= 5.98.0~),
               libkf5kcmutils-dev (>= 5.98.0~),
               libkf5kio-dev (>= 5.98.0~),
               libkf5notifications-dev (>= 5.98.0~),
               libkf5package-dev (>= 5.98.0~),
               libkf5runner-dev (>= 5.98.0~),
               libkf5service-dev (>= 5.98.0~),
               libkf5widgetsaddons-dev (>= 5.98.0~),
               libkf5windowsystem-dev (>= 5.98.0~),
               libkf5xmlgui-dev (>= 5.98.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.26.0~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/systemsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
Rules-Requires-Root: no

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kcmutils,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-org-kde-newstuff,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick-shapes,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd (<< 1.2.1-3.1~)
Replaces: kde-config-systemd (<< 1.2.1-3.1~)
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.26.2

=== debian/changelog ===
systemsettings (4:5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:11:54 +0000

systemsettings (4:5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:34:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: systemsettings
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -33,13 +34,13 @@
                libkf5windowsystem-dev (>= 5.98.0~),
                libkf5xmlgui-dev (>= 5.98.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.26.0~),
+               plasma-workspace-dev (>= 4:5.26.2~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/systemsettings
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
 Rules-Requires-Root: no
 
 Package: systemsettings

## systemsettings 5.26.3

=== debian/changelog ===
systemsettings (4:5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 16:05:30 +0100

systemsettings (4:5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.26.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:37:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: systemsettings
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -34,13 +33,13 @@
                libkf5windowsystem-dev (>= 5.98.0~),
                libkf5xmlgui-dev (>= 5.98.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.26.2~),
+               plasma-workspace-dev (>= 4:5.26.3~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/systemsettings
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
 Rules-Requires-Root: no
 
 Package: systemsettings

## systemsettings 5.26.4

=== debian/changelog ===
systemsettings (4:5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:11:00 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libkf5windowsystem-dev (>= 5.98.0~),
                libkf5xmlgui-dev (>= 5.98.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.26.3~),
+               plasma-workspace-dev (>= 4:5.26.4~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1

## systemsettings 5.26.5

=== debian/changelog ===
systemsettings (4:5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:22:57 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libkf5windowsystem-dev (>= 5.98.0~),
                libkf5xmlgui-dev (>= 5.98.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.26.4~),
+               plasma-workspace-dev (>= 4:5.26.5~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1

## systemsettings 5.26.90

=== debian/changelog ===
systemsettings (4:5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:51:00 +0100

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.101.0~),
               gettext,
               kirigami2-dev (>= 5.101.0~),
               libkf5activities-dev (>= 5.101.0~),
               libkf5activitiesstats-dev (>= 5.101.0~),
               libkf5auth-dev (>= 5.101.0~),
               libkf5config-dev (>= 5.101.0~),
               libkf5crash-dev (>= 5.101.0~),
               libkf5dbusaddons-dev (>= 5.101.0~),
               libkf5doctools-dev (>= 5.101.0~),
               libkf5guiaddons-dev (>= 5.101.0~),
               libkf5i18n-dev (>= 5.101.0~),
               libkf5iconthemes-dev (>= 5.101.0~),
               libkf5itemmodels-dev (>= 5.101.0~),
               libkf5itemviews-dev (>= 5.101.0~),
               libkf5kcmutils-dev (>= 5.101.0~),
               libkf5kio-dev (>= 5.101.0~),
               libkf5notifications-dev (>= 5.101.0~),
               libkf5package-dev (>= 5.101.0~),
               libkf5runner-dev (>= 5.101.0~),
               libkf5service-dev (>= 5.101.0~),
               libkf5widgetsaddons-dev (>= 5.101.0~),
               libkf5windowsystem-dev (>= 5.101.0~),
               libkf5xmlgui-dev (>= 5.101.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.26.90~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/systemsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
Rules-Requires-Root: no

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kcmutils,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-org-kde-newstuff,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick-shapes,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd (<< 1.2.1-3.1~)
Replaces: kde-config-systemd (<< 1.2.1-3.1~)
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.27.0

=== debian/changelog ===
systemsettings (4:5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:48 +0100

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               kirigami2-dev (>= 5.102.0~),
               libkf5activities-dev (>= 5.102.0~),
               libkf5activitiesstats-dev (>= 5.101.0~),
               libkf5auth-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5crash-dev (>= 5.102.0~),
               libkf5dbusaddons-dev (>= 5.102.0~),
               libkf5doctools-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5iconthemes-dev (>= 5.102.0~),
               libkf5itemmodels-dev (>= 5.102.0~),
               libkf5itemviews-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5package-dev (>= 5.102.0~),
               libkf5runner-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf5xmlgui-dev (>= 5.102.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.27.0~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/systemsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
Rules-Requires-Root: no

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kcmutils,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-org-kde-newstuff,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick-shapes,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd (<< 1.2.1-3.1~),
Replaces: kde-config-systemd (<< 1.2.1-3.1~),
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.27.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "5.27.1")

project(systemsettings VERSION ${PROJECT_VERSION})
set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(GenerateExportHeader)
include(ECMFindQmlModule)
include(ECMQtDeclareLoggingCategory)
include(KDEGitCommitHooks)

add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055700)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)


find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets Quick Qml QuickWidgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Crash
    ItemViews
    ItemModels
    KCMUtils
    I18n
    KIO
    Service
    IconThemes
    WidgetsAddons
    WindowSystem
    XmlGui
    DBusAddons
    Config
    Package
    Activities
    GuiAddons # UrlHanlder handles help:/ urls
    Kirigami2
    Notifications
    Runner
    OPTIONAL_COMPONENTS
    DocTools
    QUIET
)

ecm_find_qmlmodule(org.kde.kcm 1.0)

find_package(LibKWorkspace ${PROJECT_VERSION} CONFIG REQUIRED)

add_subdirectory(core)
add_subdirectory(app)
add_subdirectory(categories)
add_subdirectory(icons)
add_subdirectory(sidebar)
if(KF5DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()
add_subdirectory(runner)

ecm_qt_install_logging_categories(EXPORT SYSTEMSETTINGS FILE systemsettings.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

ki18n_install(po)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

## systemsettings 5.27.2

=== debian/changelog ===
systemsettings (4:5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.27.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 15:01:57 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.0~),
+               plasma-workspace-dev (>= 4:5.27.2~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2

## systemsettings 5.27.3

=== debian/changelog ===
systemsettings (4:5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:20:42 +0000

systemsettings (4:5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:25:20 +0000

systemsettings (4:5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:49:04 +0000

systemsettings (4:5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:43:07 +0000

systemsettings (4:5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)
  * Drop lower-workspace-build-dep.patch, no longer needed.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:32:03 +0000

systemsettings (4:5.26.5-0ubuntu3) lunar; urgency=medium

  * Drop internal workspace build dep.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 10:22:38 +0000

systemsettings (4:5.26.5-0ubuntu2) lunar; urgency=medium

  * Drop build deps more.

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 16:07:55 +0000

systemsettings (4:5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 10:48:21 +0000

systemsettings (4:5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Dec 2022 11:01:13 +0000

systemsettings (4:5.26.4-0ubuntu2) lunar; urgency=medium

  * Bump plasma-workspace-dev build dep to (>= 4:5.26.4.1~)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 15:02:52 +0000

systemsettings (4:5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:05:56 +0000

systemsettings (4:5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:13:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: systemsettings
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -12,7 +13,7 @@
                gettext,
                kirigami2-dev (>= 5.102.0~),
                libkf5activities-dev (>= 5.102.0~),
-               libkf5activitiesstats-dev (>= 5.101.0~),
+               libkf5activitiesstats-dev (>= 5.102.0~),
                libkf5auth-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
                libkf5crash-dev (>= 5.102.0~),
@@ -33,13 +34,13 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.2~),
+               plasma-workspace-dev (>= 4:5.27.3~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/systemsettings
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
 Rules-Requires-Root: no
 
 Package: systemsettings
@@ -55,8 +56,8 @@
          qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: kde-config-systemd (<< 1.2.1-3.1~),
-Replaces: kde-config-systemd (<< 1.2.1-3.1~),
+Breaks: kde-config-systemd (<< 1.2.1-3.1~)
+Replaces: kde-config-systemd (<< 1.2.1-3.1~)
 Description: System Settings interface
  Desktop configuration application.
  .

## systemsettings 5.27.4.1

=== debian/changelog ===
systemsettings (4:5.27.4.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:40:09 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.3~),
+               plasma-workspace-dev (>= 4:5.27.4~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1

## systemsettings 5.27.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "5.27.1")
+set(PROJECT_VERSION "5.27.5")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
 set(QT_MIN_VERSION "5.15.2")

=== categories/CMakeLists.txt ===
install(FILES
    settings-appearance.desktop
    settings-appearance-color.desktop
    settings-appearance-font.desktop
    settings-root-category.desktop

    settings-workspace.desktop
    settings-workspace-windowmanagement.desktop
    settings-workspace-desktopbehavior.desktop
    settings-workspace-shortcuts.desktop
    settings-workspace-session.desktop
    settings-workspace-search.desktop

    settings-personalization.desktop
    settings-personalization-regionalsettings.desktop
    settings-personalization-applications.desktop

    settings-network.desktop
    settings-network-networksettings.desktop
    settings-network-connectivity.desktop

    settings-hardware.desktop
    settings-hardware-display.desktop
    settings-hardware-input.desktop
    settings-hardware-multimedia.desktop
    settings-hardware-powermanagement.desktop
    settings-hardware-removable-storage.desktop

    settings-system-administration.desktop

    DESTINATION ${KDE_INSTALL_DATADIR}/systemsettings/categories
)

=== core/CMakeLists.txt ===
set(systemsettingsview_LIB_SRCS
    BaseData.cpp
    BaseData.h
    BaseMode.cpp
    BaseMode.h
    ExternalAppModule.cpp
    ExternalAppModule.h
    kcmmetadatahelpers.h
    MenuItem.cpp
    MenuItem.h
    MenuModel.cpp
    MenuModel.h
    MenuProxyModel.cpp
    MenuProxyModel.h
    ModuleView.cpp
    ModuleView.h
)

ki18n_wrap_ui(systemsettingsview_LIB_SRCS externalModule.ui)

add_library(systemsettingsview ${systemsettingsview_LIB_SRCS})
generate_export_header(systemsettingsview)

target_link_libraries(systemsettingsview
    KF5::ItemViews
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOWidgets
    KF5::Service
    KF5::IconThemes
    KF5::Activities
    KF5::AuthCore
    KF5::AuthWidgets
    KF5::Kirigami2
)

set_target_properties(systemsettingsview PROPERTIES SOVERSION 3)

install(TARGETS systemsettingsview ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
install(FILES
        systemsettingsexternalapp.desktop
        infocenterexternalapp.desktop
    DESTINATION ${KDE_INSTALL_KSERVICETYPESDIR}
)

=== debian/changelog ===
systemsettings (4:5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:48 +0200

systemsettings (4:5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:29:10 +0200

systemsettings (4:5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:20:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: systemsettings
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -13,7 +12,7 @@
                gettext,
                kirigami2-dev (>= 5.102.0~),
                libkf5activities-dev (>= 5.102.0~),
-               libkf5activitiesstats-dev (>= 5.102.0~),
+               libkf5activitiesstats-dev (>= 5.101.0~),
                libkf5auth-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
                libkf5crash-dev (>= 5.102.0~),
@@ -34,13 +33,13 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.4~),
+               plasma-workspace-dev (>= 4:5.27.5~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/systemsettings
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
 Rules-Requires-Root: no
 
 Package: systemsettings
@@ -56,8 +55,8 @@
          qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: kde-config-systemd (<< 1.2.1-3.1~)
-Replaces: kde-config-systemd (<< 1.2.1-3.1~)
+Breaks: kde-config-systemd (<< 1.2.1-3.1~),
+Replaces: kde-config-systemd (<< 1.2.1-3.1~),
 Description: System Settings interface
  Desktop configuration application.
  .

## systemsettings 5.27.8

=== debian/changelog ===
systemsettings (4:5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:32:49 +0100

systemsettings (4:5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 20 Aug 2023 11:32:40 +0100

systemsettings (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:55:47 +0200

systemsettings (4:5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:17:02 +0100

systemsettings (4:5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:38:45 +0100

systemsettings (4:5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:16:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: systemsettings
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -33,13 +34,13 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.5~),
+               plasma-workspace-dev (>= 4:5.27.8~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/systemsettings
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
 Rules-Requires-Root: no
 
 Package: systemsettings

## systemsettings 5.27.9

=== debian/changelog ===
systemsettings (4:5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:21:06 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.8~),
+               plasma-workspace-dev (>= 4:5.27.9~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2

## systemsettings 5.27.10

=== debian/changelog ===
systemsettings (4:5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:23:48 +0000

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.9~),
+               plasma-workspace-dev (>= 4:5.27.10~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2

## systemsettings 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.11")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
 set(QT_MIN_VERSION "5.15.2")

=== runner/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2021 Alexander Lohnau <alexander.lohnau@gmx.de>

kcoreaddons_add_plugin(krunner_systemsettings SOURCES systemsettingsrunner.cpp
    systemsettingsrunner.h INSTALL_NAMESPACE kf${QT_MAJOR_VERSION}/krunner)
target_link_libraries(krunner_systemsettings
    KF5::CoreAddons
    KF5::KIOGui
    KF5::I18n
    KF5::Notifications
    KF5::Runner
    KF5::Service
    KF5::Activities
    KF5::KCMUtils
)

=== debian/changelog ===
systemsettings (4:5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:22:28 +0200

systemsettings (4:5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:27:57 +0100

systemsettings (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:55:00 +0200

systemsettings (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 22:31:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: systemsettings
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -34,13 +32,13 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.10~),
+               plasma-workspace-dev (>= 4:5.27.11~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/systemsettings
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
 Rules-Requires-Root: no
 
 Package: systemsettings

## systemsettings 6.1.5

=== debian/changelog ===
systemsettings (4:6.1.5-0ubuntu2) oracular; urgency=medium

  * Add upstream_Fix-loading-external-modules.patch to show driver
    manager entry. (LP: #2083101)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Sep 2024 15:54:01 +0100

systemsettings (4:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:02:32 +0100

systemsettings (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:44:57 +0100

systemsettings (4:6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:19 +0200

systemsettings (4:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Simplify d/rules as those files do not need to be removed any more.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Jun 2024 17:35:02 +0200

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               libkf6auth-dev (>= 6.2.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6crash-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6doctools-dev (>= 6.2.0~),
               libkf6guiaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6iconthemes-dev (>= 6.2.0~),
               libkf6itemmodels-dev (>= 6.2.0~),
               libkf6itemviews-dev (>= 6.2.0~),
               libkf6jobwidgets-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.2.0~),
               libkf6runner-dev (>= 6.2.0~),
               libkf6service-dev (>= 6.2.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libkf6xmlgui-dev (>= 6.2.0~),
               libkirigami-dev (>= 6.2.0~),
               libplasmaactivities-dev (>= 6.1.5~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/systemsettings
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
Rules-Requires-Root: no

Package: systemsettings
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd (<< 1.2.1-3.1~),
Replaces: kde-config-systemd (<< 1.2.1-3.1~),
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 6.2.1

=== debian/changelog ===
systemsettings (4:6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 18:22:34 +0200

systemsettings (4:6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:47 +0200

systemsettings (4:6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:05 +0200

systemsettings (4:6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:23 +0200

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.5.0~),
               gettext,
               libkf6auth-dev (>= 6.5.0~),
               libkf6config-dev (>= 6.5.0~),
               libkf6crash-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6doctools-dev (>= 6.5.0~),
               libkf6guiaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6iconthemes-dev (>= 6.5.0~),
               libkf6itemmodels-dev (>= 6.5.0~),
               libkf6itemviews-dev (>= 6.5.0~),
               libkf6jobwidgets-dev (>= 6.5.0~),
               libkf6kcmutils-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6runner-dev (>= 6.5.0~),
               libkf6service-dev (>= 6.5.0~),
               libkf6widgetsaddons-dev (>= 6.5.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               libkf6xmlgui-dev (>= 6.5.0~),
               libkirigami-dev (>= 6.5.0~),
               libplasmaactivities-dev (>= 6.2.1~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/systemsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
Rules-Requires-Root: no

Package: systemsettings
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd (<< 1.2.1-3.1~),
Replaces: kde-config-systemd (<< 1.2.1-3.1~),
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 6.2.3

=== debian/changelog ===
systemsettings (4:6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Drop patch for minor versions compatibility.
  * Add build dependency to qt6-declarative-private-dev required since
    cmake 3.31.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:32 +0100

systemsettings (4:6.2.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.2).
  * Revert upstream minor version bump for build dependencies to avoid
    rebuilding all Plasma packages.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 22 Oct 2024 18:50:13 +0200

=== debian/control ===
--- 
+++ 
@@ -30,9 +30,10 @@
                libkf6windowsystem-dev (>= 6.5.0~),
                libkf6xmlgui-dev (>= 6.5.0~),
                libkirigami-dev (>= 6.5.0~),
-               libplasmaactivities-dev (>= 6.2.1~),
+               libplasmaactivities-dev (>= 6.2.3~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
+               qt6-declarative-private-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/systemsettings
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings

## systemsettings 6.2.4

=== debian/changelog ===
systemsettings (4:6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:37:00 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                libkf6windowsystem-dev (>= 6.5.0~),
                libkf6xmlgui-dev (>= 6.5.0~),
                libkirigami-dev (>= 6.5.0~),
-               libplasmaactivities-dev (>= 6.2.3~),
+               libplasmaactivities-dev (>= 6.2.4~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev,

## systemsettings 6.2.5

=== debian/changelog ===
systemsettings (4:6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:22:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.5.0~),
                gettext,
                libkf6auth-dev (>= 6.5.0~),
@@ -30,7 +30,7 @@
                libkf6windowsystem-dev (>= 6.5.0~),
                libkf6xmlgui-dev (>= 6.5.0~),
                libkirigami-dev (>= 6.5.0~),
-               libplasmaactivities-dev (>= 6.2.4~),
+               libplasmaactivities-dev (>= 6.2.5~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev,
